
/*
attribute vec4 a_position;
attribute vec2 a_texCoord;
attribute vec4 a_color;
					

varying vec4 v_fragmentColor;
varying vec2 v_texCoord;
								
void main()	
{							
    gl_Position = CC_MVPMatrix * a_position;
	v_fragmentColor = a_color;
	v_texCoord = a_texCoord;
}
*/


// http://discuss.cocos2d-x.org/t/how-to-use-opengl-shader-in-cocos2d-x3-0/12430/10
/*
 
 // 포지션 어긋나는것 해결
 
 Finally!!! I got the key of annoying OFFSET!
 
 I re-check the default GLProgram of Sprite. It turn out to be SHADER_NAME_POSITION_TEXTURE_COLOR_NO_MVP ( what is it? it's a key of a GLProgram, u can search in project libcocos2d.) rather than SHADER_NAME_POSITION_TEXTURE_COLOR witch is the default shader in cocos2dx_2.x.
 
 The difference of them is that SHADER_NAME_POSITION_TEXTURE_COLOR_NO_MVP shader use the vect file ccShader_PositionTextureColor_noMVP.vert in the folder {cocos2dx_3.x_root}\cocos\renderer. So, replace the gray.vsh.zip file with the ccShader_PositionTextureColor_noMVP.vert file. Everything will be OK!
 
 */

/*
 
 // 원래 색상으로 돌아올때
 
 When I set the GLProgram back to default GLProgram of Sprite:
 
 CCGLProgram* p = CCShaderCache::sharedShaderCache()->programForKey(GLProgram::SHADER_NAME_POSITION_TEXTURE_COLOR);
 _buttonNormalRenderer->setShaderProgram(p);
 _titleRenderer->setShaderProgram(p);
 The offset did exists too!.
 so, I think the problem is the GLProgram we set need some more information or parameter.
 
 
 */



attribute vec4 a_position;
attribute vec2 a_texCoord;
attribute vec4 a_color;


varying vec4 v_fragmentColor;
varying vec2 v_texCoord;

void main()
{
    gl_Position = CC_PMatrix * a_position;
    v_fragmentColor = a_color;
    v_texCoord = a_texCoord;
}
